For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
  • Overview
    • Quick Start
    • Sandboxes
    • Tools & SDKs
    • Support
  • Docs
    • Archive
    • Closed Beta Programs
        • API Documentation
        • Check List
        • Code Samples
        • Guiding Questions
        • Iterative Feature Development
        • API Reference
              • POSTCreate Store
              • GETGet Store
              • POSTCreate Store Login URL
              • GETList Stores
Dev Portal
LogoLogo
Closed Beta ProgramsPowered ByAPI ReferenceStores

List Stores

Beta
GET
https://api.bigcommerce.com/franchises/franchise_uuid/v1/stores
GET
/franchises/franchise_uuid/v1/stores
$curl https://api.bigcommerce.com/franchises/franchise_uuid/v1/stores \
> -H "Accept: application/json" \
> -H "X-Auth-Client: <apiKey>"
1{
2 "data": [
3 {
4 "status": "suspended",
5 "id": "S-0001934",
6 "account_id": "S-1234",
7 "name": "Husky",
8 "country": "US",
9 "allocated_at": "2018-05-23 14:04:34.0",
10 "expires_at": "2018-06-23",
11 "primary_hostname": "www.husky.com",
12 "canonical_hostname": "store-da234.mybigcommerce.com"
13 },
14 {
15 "status": "active",
16 "id": "S-0001936",
17 "account_id": "S-1234",
18 "name": "HuskyPro",
19 "country": "US",
20 "allocated_at": "2018-06-23 14:04:34.0",
21 "expires_at": "2017-06-23",
22 "primary_hostname": "www.huskypro.com",
23 "canonical_hostname": "store-da236.mybigcommerce.com"
24 }
25 ],
26 "meta": {
27 "pagination": {
28 "total": 240,
29 "count": 50,
30 "per_page": 50,
31 "current_page": 1,
32 "total_pages": 5,
33 "links": {
34 "next": "?page=2&limit=50",
35 "current": "?page=1&limit=50"
36 }
37 }
38 }
39}
This endpoint allows you to retrieve all stores under your franchise.
Was this page helpful?
Previous

Create Store Login URL

Next

Create Store Plan Change

Built with

Authentication

X-Auth-Clientstring
The client ID of the franchise API account.
OR
X-Auth-Tokenstring
An OAuth token generated from the franchise API account. To authenticate, generate an **OAuth Token** (if you donʼt have one or itʼs expired): ```http POST https://api.bigcommerce.com/franchises/{franchise_uuid}/v1/oauth/token Accept: application/json X-Auth-Client: {client_id} X-Auth-Secret: {client_secret} { "duration": 900 } ``` Response: ```json { "access_token": "dlkJcn34...Lkd012", "expires_at": "2018-04-24T16:15:26.509045122Z” } ``` After you generate an **OAuth token**, use the `client_id` and `oauth_token` to authenticate all other API requests: ```http GET https://api.bigcommerce.com/franchises/{franchise_uuid}/v1/accounts/123 Accept: application/json X-Auth-Client: {client_id} X-Auth-Token: {oauth_token} ``` Response: ```json { "data": { "id": "12345678910", "name": "Test Company", ... }, "meta": {} } ```

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Response

Success
datalist of objects
metaobject

Errors

401
Unauthorized Error
404
Not Found Error
502
Bad Gateway Error
503
Service Unavailable Error

An OAuth token generated from the franchise API account.

To authenticate, generate an OAuth Token (if you donʼt have one or itʼs expired):

1POST https://api.bigcommerce.com/franchises/{franchise_uuid}/v1/oauth/token
2Accept: application/json
3X-Auth-Client: {client_id}
4X-Auth-Secret: {client_secret}
5
6{
7 "duration": 900
8}

Response:

1{
2 "access_token": "dlkJcn34...Lkd012",
3 "expires_at": "2018-04-24T16:15:26.509045122Z”
4}

After you generate an OAuth token, use the client_id and oauth_token to authenticate all other API requests:

1GET https://api.bigcommerce.com/franchises/{franchise_uuid}/v1/accounts/123
2Accept: application/json
3X-Auth-Client: {client_id}
4X-Auth-Token: {oauth_token}

Response:

1{
2 "data": {
3 "id": "12345678910",
4 "name": "Test Company",
5 ...
6 },
7 "meta": {}
8}